clear
clc
%save 'XYdatabalticwelfare_12apr.mat'
load('XYdatabalticwelfare_12apr.mat')
XYdatabalticwelfare = sortrows(XYdatabalticwelfare12,7);

XYdatabalticwelfare.Legend = reordercats(XYdatabalticwelfare.Legend,{'< 1 million','1,000,000 - 3,000,000','3,000,000 - 10,000,000', '10,000,000 - 30,000,000', '30,000,000 - 70,000,000', '70,000,000 - 150,000,000', '150,000,000 - 400,000,000', '> 400 million'});

gb = geobubble(XYdatabalticwelfare.LatitudeY,XYdatabalticwelfare.LongitudeX,XYdatabalticwelfare.welfare,XYdatabalticwelfare.Legend,'Title','Recreational coastal site hotspots (total value per site/year)')
gb.SizeLegendTitle = 'Total WTP for access to individual sites (EUR/site/year)';
gb.ColorLegendTitle = 'Coastal sites';
%gb.MapLayout = 'maximized';
geolimits([53 66],[12 27])
%gb.BubbleWidthRange = [5 20];
Colors = colormap(autumn(24));
gb.BubbleColorList = Colors([24 21 18 14 12 8 4 1],:);