clear
clc
%save 'XYdatabalticwelfare_12apr_map_pre_post_change.mat'
load('XYdatabalticwelfare_12apr_map_pre_post_change.mat')

XYdatabalticwelfare_change = sortrows(XYdatabalticwelfare12,28);

% XYdatabalticwelfare.Legend = reordercats(XYdatabalticwelfare.Legend,{'< 1 million','1,000,000 - 3,000,000','3,000,000 - 10,000,000', '10,000,000 - 30,000,000', '30,000,000 - 70,000,000', '70,000,000 - 150,000,000', '150,000,000 - 400,000,000', '> 400 million'});
XYdatabalticwelfare_change.Legend_change = reordercats(XYdatabalticwelfare_change.Legend_change,{'0-25% increase', '26-50% increase', '51-75% increase', '75-100% increase', '101-125% increase','over 125% increase'});

gb1 = geobubble(XYdatabalticwelfare_change.LatitudeY,XYdatabalticwelfare_change.LongitudeX,XYdatabalticwelfare_change.Welfare_change,XYdatabalticwelfare_change.Legend_change,'Title','Recreational coastal site hotspots (total value per site/year) - percentage change after upgrading sites to blue flag status')
gb1.SizeLegendTitle = '% change in WTP for access to individual sites (EUR/site/year)';
gb1.ColorLegendTitle = 'Coastal sites';
%gb.MapLayout = 'maximized';
geolimits([53 66],[12 27])
%gb.BubbleWidthRange = [5 20];
Colors = colormap(autumn(24));
%gb1.BubbleColorList = Colors([24 21 18 14 12 8 4 1],:);
gb1.BubbleColorList = Colors([24 20 15 10 5 1],:);